/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLTableCaptionElement_H___INT_
#define __GdomHTMLTableCaptionElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLTableCaptionElement.h"
G_BEGIN_DECLS
class GDOMHTMLTableCaptionElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_TABLE_CAPTION_ELEMENT; }
    GDOMHTMLTableCaptionElement(PassRefPtr<WebCore::HTMLTableCaptionElement> impl);
    WebCore::HTMLTableCaptionElement* impl() const
    {
        return static_cast<WebCore::HTMLTableCaptionElement*>(Base::impl());
    }
};
G_END_DECLS

#endif /* __GdomHTMLTableCaptionElement_H___INT_*/
